Subject: Re: [payload] review of http://tools.ietf.org/html/draft-ietf-payload-rtp-sbc-05

From: "Bont, Frans de" <[email-masked]>
Date: Mon, 26 Aug 2013 13:53:32 +0000

Hi Roni,

Thanks for your review. An updated draft has been submitted a minute ago. The changes are described below.

1.       The reference to A2DPV12 can be found at: https://www.bluetooth.org/docman/handlers/DownloadDoc.ashx?doc_id=66605 and has been added to the document.
2.       An explanation of the Join and RFA header fields is added to section 3.2.
3.       A default value for the "Capabilities" parameter has been added. This value represents the mandatory capabilities of A2DP devices.
4.       "Symmetric" is indeed a better naming than "bi-direction" for a parameter. As described, the negotiation is finished if the offerer and the answerer have agreed upon explicit capabilities for each payload type number, so when the sent and received "Capabilities" parameter are the same.
5.       The reference to RFC4288 has been updated to RFC6838.

We think the draft is now ready for WGLC.

Best regards,
Frans

From: Roni Even [mailto:[email-masked]]
Sent: Tuesday 16 July 2013 9:13
To: [email-masked]
Cc: Bont, Frans de; Christian Hoene (Symonics)
Subject: review of http://tools.ietf.org/html/draft-ietf-payload-rtp-sbc-05

Hi,
I read the document and have some questions and comments

1.       The reference to A2DPV12 is normative but does not point to a specific document. Can you provide a link to the specification.

2.       The join and RFC frame header field are mentioned but not explained in section 3.2

3.       The "Capabilities" is an optional parameter. What is the default values if not specified. Maybe it should be a required parameter.

4.       In section 7.2.1 do you mean that the "capabilities" parameters is symmetric, the send and receive MUST be the same? Please calrify
Thanks
Roni Even as individual

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.